curl -X POST https://api.growthbook.io/api/v1/members/user_abc123/role \
-d '{"member" : {"role": "experimenter", "environments": ["staging"], ... }}' \
-u secret_abc123DEF456:{
"updatedMember": {
"id": "<string>",
"role": "<string>",
"environments": [
"<string>"
],
"limitAccessByEnvironment": true,
"projectRoles": [
{
"project": "<string>",
"role": "<string>",
"limitAccessByEnvironment": true,
"environments": [
"<string>"
]
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"The id of the requested resource
Show child attributes
Success
Show child attributes
curl -X POST https://api.growthbook.io/api/v1/members/user_abc123/role \
-d '{"member" : {"role": "experimenter", "environments": ["staging"], ... }}' \
-u secret_abc123DEF456:{
"updatedMember": {
"id": "<string>",
"role": "<string>",
"environments": [
"<string>"
],
"limitAccessByEnvironment": true,
"projectRoles": [
{
"project": "<string>",
"role": "<string>",
"limitAccessByEnvironment": true,
"environments": [
"<string>"
]
}
]
}
}